#!/bin/bash
# DataMelt execution for Linux/Mac

# assume this script in this directory
export JEHEP_HOME="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"


arguments="$@"


FILE=$JEHEP_HOME/lib/jterm.jar
if [ -f $FILE ]; then
   mv -f $FILE $JEHEP_HOME/jterm.jar
   echo "JTerm was updated. Starting JTerm desktop.."
fi



if which java >/dev/null; then
    _java=java
elif [[ -n "$JAVA_HOME" ]] && [[ -x "$JAVA_HOME/bin/java" ]];  then
    _java="$JAVA_HOME/bin/java"
else
    echo "No java detected! Please install it from https://java.com/download"; exit 0
fi

if [[ "$_java" ]]; then
    version=$("$_java" -version 2>&1 | awk -F '"' '/version/ {print $2}')
    if [[ "$version" < "1.7" ]]; then
        echo "Java version is less than 1.7. Please update it."; exit 0;
    fi
fi


################## do not edit ###############################
JAVA_HEAP_SIZE=2048
CLASSPATH=$JEHEP_HOME:$CLASSPATH

CLASSPATH="jterm.jar":$CLASSPATH
# Add in your .jar files first
for i in $JEHEP_HOME/lib/*.jar
do
      CLASSPATH="$i":$CLASSPATH
done


OPTJJ="-Djava.library.path=$LIBJEHEP -Dlog4j.configuration=$JEHEP_HOME/log4j.properties"



$_java -mx${JAVA_HEAP_SIZE}m -cp $CLASSPATH $OPTJJ  \
      -Djterm.home=$JEHEP_HOME jterm.Desktop  ${arguments} &
